org.apache.ignite.internal.visor.log

## Class VisorLogSearchResult

- java.lang.Object
- - org.apache.ignite.internal.visor.log.VisorLogSearchResult

All Implemented Interfaces:
  Serializable

    public class VisorLogSearchResult
    extends Object
    implements Serializable

Result for log search operation. Contains found line and several lines before and after, plus other info.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorLogSearchResult(UUID nid, String filePath, long fileSize, long lastModified, String[] lines, int lineNum, int lineCnt, String encoding)` Create log search result with given parameters.

### Method Summary

Methods
`String` `encoding()`
`String` `filePath()`
`long` `fileSize()`
`long` `lastModified()`
`String` `line()`
`int` `lineCount()`
`int` `lineNumber()`
`String[]` `lines()`
`UUID` `nid()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorLogSearchResult

    public VisorLogSearchResult(UUID nid,
                        String filePath,
                        long fileSize,
                        long lastModified,
                        String[] lines,
                        int lineNum,
                        int lineCnt,
                        String encoding)

Create log search result with given parameters.

Parameters:
  `nid` - Node ID.
  `filePath` - File path relative to the search folder.
  `fileSize` - File size.
  `lastModified` - Timestamp of last modification of the file.
  `lines` - Lines of text including found line and several lines before and after.
  `lineNum` - Line number in the file, 1 based.
  `lineCnt` - Lines count in the file.
  `encoding` - File content encoding.

### Method Detail

#### nid

    public UUID nid()

Returns:
  Node ID.

#### filePath

    public String filePath()

Returns:
  File path relative to the search folder.

#### fileSize

    public long fileSize()

Returns:
  File size.

#### lastModified

    public long lastModified()

Returns:
  Timestamp of last modification of the file.

#### lines

    public String[] lines()

Returns:
  Lines of text including found line and several lines before and after.

#### lineNumber

    public int lineNumber()

Returns:
  Line number in the file, 1 based.

#### lineCount

    public int lineCount()

Returns:
  Lines count in the file.

#### encoding

    public String encoding()

Returns:
  File content encoding.

#### line

    public String line()

Returns:
  Found line.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016